SHELL=/bin/sh

# makefile for PMSCO documentation
#
# requirements
#
# 1) doxygen
# 2) /usr/bin/doxypy
# 3) PLANTUML_JAR_PATH environment variable must point to plantUML jar.

.SUFFIXES:
.SUFFIXES: .c .cpp .cxx .exe .f .h .i .o .py .pyf .so .html
.PHONY: all docs clean

DOX=doxygen
DOXOPTS=
LATEX_DIR=latex

REVISION=$(shell git describe --always --tags --dirty --long || echo "unknown, "`date +"%F %T %z"`)
export REVISION

all: docs

docs: doxygen pdf

doxygen:
	$(DOX) $(DOXOPTS) config.dox

pdf: doxygen
	-$(MAKE) -C $(LATEX_DIR)

clean:
	-rm -r latex/*
	-rm -r html/*

